%define name 	pam_ldap
%define version 184
%define rel 2

# conditionally define %mkrel
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define release %mkrel %rel

Summary:	NSS library and PAM module for LDAP
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries
URL: 		http://www.padl.com/
#BuildRequires:	db_nss-devel >= 4.2.52-5mdk
BuildRequires:	libldap-devel >= 2.0.7-7.1mdk
BuildRequires:	pam-devel
BuildRequires:	automake1.4
Source0: 	http://www.padl.com/download/%{name}-%{version}.tar.gz
Source1:	resolve.c
Source2:	resolve.h
Source3:	snprintf.h
Source4:	snprintf.c
Patch2:		pam_ldap-156-makefile.patch
Patch3:		pam_ldap-176-dnsconfig.patch
# http://bugzilla.padl.com/show_bug.cgi?id=324
Patch4:		pam_ldap-184-lockoutmsg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Requires:	nss_ldap >= 217

%description
Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install pam_ldap if you need to authenticate PAM-enabled services to
LDAP.
%{?!_with_dnsconfig:This package can be compiled with support for configuration}
%{?!_with_dnsconfig:from DNS, by building with "--with dnsconfig"}
%{?_with_dnsconfig:This package is built with DNS configuration support}

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch2 -p1 -b .pam_makefile
%patch4 -p1 -b .lockoutmsg

%if %{?_with_dnsconfig:1}%{!?_with_dnsconfig:0}
%patch3 -p1 -b .dnsconfig
for i in %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4
do cp $i .
done
%endif

%build
rm -rf $RPM_BUILD_ROOT
%serverbuild
#aclocal && automake && autoheader && autoconf
#autoreconf --force

rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake

export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure --with-ldap-lib=openldap --libdir=/%{_lib}
%__make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -d $RPM_BUILD_ROOT/%{_lib}/security

# Install the module for PAM.
%make install DESTDIR="$RPM_BUILD_ROOT" libdir=/%{_lib}

# Remove unpackaged file
rm -rf	$RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LIB README pam.d chsh chfn ldap.conf
/%{_lib}/security/*so*
%{_mandir}/man?/*




%changelog
* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 184-2mdv2008.1
+ Revision: 142084
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Andreas Hasenack <andreas@mandriva.com> 184-1mdv2008.0
+ Revision: 29527
- updated to version 184
- added account lockout message patch


* Thu Nov 23 2006 Buchan Milne <bgmilne@mandriva.org> 183-1mdv2007.0
+ Revision: 86666
-New version 183
-drop patches 0,4,5,6

* Mon Nov 13 2006 Andreas Hasenack <andreas@mandriva.com> 180-5mdv2007.0
+ Revision: 83614
- added security fix for CVE-2006-5170 (#27031)
- Import pam_ldap

* Sat Jun 03 2006 Andreas Hasenack <andreas@mandriva.com> 180-4mdk
- added patches to fix bug 254 (segfault when hostname unresolvable)
  and bug 268 (forced password change with OL ppolicy overlay)

* Thu Apr 27 2006 Andreas Hasenack <andreas@mandriva.com> 180-3mdk
- added patch to fix http://bugzilla.padl.com/show_bug.cgi?id=264
  (wrong error message returned when a password policy check fails)

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 180-2mdk
- Rebuild for libldap2.3

* Tue Aug 23 2005 Buchan Milne <bgmilne@linux-mandrake.com> 180-1mdk
- New release 180
- conditionally define %%mkrel macro for backporters

* Wed Jul 06 2005 Buchan Milne <bgmilne@linux-mandrake.com> 178-1mdk
- 178
- make dnsconfig support optional, disabled by default (security issue)
- update dnsconfig patch, and add more sources from nss_ldap (239)
- drop db4 buildrequire

* Tue May 31 2005 Stefan van der Eijk <stefan@eijk.nu> 170-6mdk
- split off pam_ldap into seperate package
- libtoolize (thanks Oden!)

* Fri Mar 11 2005 Pascal Terjan <pterjan@mandrake.org> 220-5mdk
- don't break using uri with patch 3 (#7551)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 220-4mdk
- rebuild for ldap2.2_7

* Mon Aug 23 2004 Luca Berra <bluca@vodka.it> 220-3mdk 
- buildrequre autoconf-2.1 and automake-1.4
- force autoreconf

* Fri Aug 13 2004 Luca Berra <bluca@vodka.it> 220-2mdk 
- use libdb_nss 4.2
- pam_ldap 170

* Thu Jul 01 2004 Florin <florin@mandrakesoft.com> 220-1mdk
- nss_ldap 220
- remove the useless version and noent patches

* Thu Apr 29 2004 Florin <florin@mandrakesoft.com> 217-1mdk
- nss_ldap 217
- pam_ldap 169
- add the noent and version patches
- remove the 150 db3 obsolete patch

* Fri Dec 26 2003 Stefan van der Eijk <stefan@eijk.nu> 212-3mdk
- rebuild to get rid of Requires on libldap.so.1 and liblber.so.1
  (contrib packages)

* Thu Dec 25 2003 Luca Berra <bluca@vodka.it> 212-2mdk
- corrected patch5 (db4): i missed a file back in 211-3mdk
- removed BuildRequires: db1-devel, fixed in patch5

* Wed Dec 24 2003 Stefan van der Eijk <stefan@eijk.nu> 212-1mdk
- nss_ldap 212
- pam_ldap 167
- rediffed patch5
- remove unpackaged file /usr/lib/libnss_ldap.so.2
- fix BuildRequires for amd64
- comment out redundant BuildRequires: openssl-devel (libldap-devel)
- add BuildRequires: db1-devel

